Attribute VB_Name = "DeclaraVF"
Option Explicit
Public Type PIXELFORMATDESCRIPTOR
    nSize As Integer
    nVersion As Integer
    dwFlags As Long
    iPixelType As Byte
    cColorBits As Byte
    cRedBits As Byte
    cRedShift As Byte
    cGreenBits As Byte
    cGreenShift As Byte
    cBlueBits As Byte
    cBlueShift As Byte
    cAlphaBits As Byte
    cAlphaShift As Byte
    cAccumBits As Byte
    cAccumRedBits As Byte
    cAccumGreenBits As Byte
    cAccumBlueBits As Byte
    cAccumAlpgaBits As Byte
    cDepthBits As Byte
    cStencilBits As Byte
    cAuxBuffers As Byte
    iLayerType As Byte
    bReserved As Byte
    dwLayerMask As Long
    dwVisibleMask As Long
    dwDamageMask As Long
End Type

Private Type BITMAP             '14 bytes
    bmType As Long
    bmWidth As Long
    bmHeight As Long
    bmWidthBytes As Long
    bmPlanes As Integer
    bmBitsPixel As Integer
    bmBits As Long
End Type

Private Type BITMAPINFOHEADER   '40 bytes
    biSize As Long
    biWidth As Long
    biHeight As Long
    biPlanes As Integer
    biBitCount As Integer
    biCompression As Long
    biSizeImage As Long
    biXPelsPerMeter As Long
    biYPelsPerMeter As Long
    biClrUsed As Long
    biClrImportant As Long
End Type

Private Type RGBQUAD
    rgbBlue As Byte
    rgbGreen As Byte
    rgbRed As Byte
    rgbReserved As Byte
End Type

Private Type BITMAPINFO
    bmiHeader As BITMAPINFOHEADER
    bmiColors As RGBQUAD
End Type

Public Declare Function ChoosePixelFormat Lib "gdi32" (ByVal hDC As Long, Pfd As PIXELFORMATDESCRIPTOR) As Long
Public Declare Sub DescribePixelFormat Lib "gdi32" (ByVal hDC As Long, ByVal PixelFormat As Long, ByVal nBytes As Long, Pfd As PIXELFORMATDESCRIPTOR)
Public Declare Function GetPixelFormat Lib "gdi32" (ByVal hDC As Long) As Long
Public Declare Function SetPixelFormat Lib "gdi32" (ByVal hDC As Long, ByVal i As Long, Pfd As PIXELFORMATDESCRIPTOR) As Boolean
Public Declare Sub SwapBuffers Lib "gdi32" (ByVal hDC As Long)

Public Declare Function wglCreateContext Lib "OpenGL32" (ByVal hDC As Long) As Long
Public Declare Sub wglDeleteContext Lib "OpenGL32" (ByVal hContext As Long)
Public Declare Sub wglMakeCurrent Lib "OpenGL32" (ByVal l1 As Long, ByVal l2 As Long)

Public Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long
Public Declare Function GetDC Lib "gdi32" (ByVal hWnd As Long) As Long

Public Declare Sub GetSystemPaletteEntries Lib "gdi32" (ByVal hDC As Long, ByVal start As Long, ByVal entries As Long, ByVal ptrEntries As Long)
Public Declare Sub RealizePalette Lib "gdi32" (ByVal hPalette As Long)
Public Declare Function CreatePalette Lib "gdi32" (pPal As LOGPALETTE) As Long
Public Declare Sub SelectPalette Lib "gdi32" (ByVal hDC As Long, ByVal hPalette As Long, ByVal bln As Long)

Public GLRC As Long
Public Aspecto As GLfloat
Public Paleta As Long

Public PosicionLuz(3) As GLfloat
Public LuzAmbiente(3) As GLfloat
Public LuzAmbDif(3) As Single
Public LuzDifusa1(3) As GLfloat
Public LuzDifusa2(3) As GLfloat
Public LuzDifusa3(3) As GLfloat
Public LuzDifusaX(3) As GLfloat

Public m_color1gra As Long
Public m_color2gra As Long
Public m_color1tab As Long
Public m_color2tab As Long
Public m_color1fra As Long
Public m_color2fra As Long

Public umin As Single, umax As Single, uinc As Single
Public vmin As Single, vmax As Single, vinc As Single
Public minAX As Single, minAY As Single, minAZ As Single
Public maxAX As Single, maxAY As Single, maxAZ As Single
Public m As Long, n As Long, PI As Single
Public QObj As Long, SomeChange As Boolean
Public tipotex As Boolean

Public m_superf As Integer
Public m_lineas As Integer
Public m_esfera As Integer
Public m_ejes As Integer
Public m_reti As Integer
Public m_cubo As Integer
Public m_objeto As Single
Public TamEsfe As Single

Public m_Translate_X As Integer
Public m_Translate_Y As Integer
Public m_Translate_Z As Integer
Public m_objetivo As GLfloat
Public m_unidadmov As GLfloat
Public m_dirvertical As Integer
Public m_umbral As GLfloat

Public origenX As GLfloat
Public origenY As GLfloat
Public origenZ As GLfloat
Public anguloX As GLfloat
Public anguloY As GLfloat
Public anguloZ As GLfloat
Public inicioX As Integer
Public inicioY As Integer
Public moverSW As Boolean

Public xmat(100, 100) As Single, ymat(100, 100) As Single, zmat(100, 100) As Single
Public xmah(100, 100) As Single, ymah(100, 100) As Single, zmah(100, 100) As Single
Public xcol(100, 100) As Single, ycol(100, 100) As Single, zcol(100, 100) As Single

