Attribute VB_Name = "GenListas"
Public Sub RenderTriangulo(px1 As GLfloat, py1 As GLfloat, pz1 As GLfloat, _
                           px2 As GLfloat, py2 As GLfloat, pz2 As GLfloat, _
                           px3 As GLfloat, py3 As GLfloat, pz3 As GLfloat)
    Dim p1 As GLfloat, p2 As GLfloat, p3 As GLfloat, d As GLfloat

    p1 = (py2 - py1) * (pz3 - pz2) - (py3 - py2) * (pz2 - pz1)
    p2 = (px3 - px2) * (pz2 - pz1) - (px2 - px1) * (pz3 - pz2)
    p3 = (px2 - px1) * (py3 - py2) - (px3 - px2) * (py2 - py1)

    d = Sqr(p1 * p1 + p2 * p2 + p3 * p3)
    If (d <> 0) Then
        p1 = p1 / d
        p2 = p2 / d
        p3 = p3 / d
    End If

    glBegin (GL_TRIANGLES)
        glNormal3f -p1, -p2, -p3
        glMaterialfv GL_FRONT, GL_AMBIENT_AND_DIFFUSE, LuzDifusa1(0)
        glVertex3f px1, py1, pz1
        glMaterialfv GL_FRONT, GL_AMBIENT_AND_DIFFUSE, LuzDifusa2(0)
        glVertex3f px2, py2, pz2
        glMaterialfv GL_FRONT, GL_AMBIENT_AND_DIFFUSE, LuzDifusa3(0)
        glVertex3f px3, py3, pz3
    glEnd
End Sub
