Attribute VB_Name = "IniOpenGL"
Sub IniciaOpenGL(ByVal lhDC As Long)
    Dim Pfd As PIXELFORMATDESCRIPTOR
    Dim PixelFormat As Integer

    Pfd.nSize = Len(Pfd)
    Pfd.nVersion = 1
    Pfd.dwFlags = 32 Or 4 Or 1 Or 0
    Pfd.iPixelType = 0 'PFD_TYPE_RGBA
    Pfd.cColorBits = 24
    Pfd.cDepthBits = 24
    Pfd.iLayerType = 0 'PFD_MAIN_PLANE
    PixelFormat = ChoosePixelFormat(lhDC, Pfd)
    If PixelFormat = 0 Then MsgBox "No fue posible inicializar el recurso OPEN-GL": End
    SetPixelFormat lhDC, PixelFormat, Pfd
    
    GLRC = wglCreateContext(lhDC)
    wglMakeCurrent lhDC, GLRC
    glClearColor 0, 0, 0, 0
    glEnable GL_DEPTH_TEST
    glEnable GL_DITHER
    glDepthFunc GL_LESS
    glClearDepth 1
    glMatrixMode GL_PROJECTION
End Sub

Sub ConfiguraAmbiente(ancho As Long, altura As Long)
    Aspecto = ancho / altura
    gluPerspective 25, Aspecto, 1, 200
    glViewport 0, 0, ancho, altura
    glMatrixMode GL_MODELVIEW
    
    glLightfv GL_LIGHT0, GL_AMBIENT, LuzAmbDif(0)
    glLightfv GL_LIGHT0, GL_DIFFUSE, LuzAmbDif(0)
    glLightfv GL_LIGHT0, GL_POSITION, PosicionLuz(0)
    glEnable GL_LIGHT0
    glEnable GL_LIGHTING
    glShadeModel GL_SMOOTH
    glFrontFace GL_CCW

    QObj = gluNewQuadric()
    gluQuadricTexture QObj, GL_TRUE
    gluQuadricNormals QObj, GL_SMOOTH

    glMaterialfv GL_FRONT, GL_SPECULAR, LuzAmbiente(0)
    glMateriali GL_FRONT, GL_SHININESS, 50
    glLineWidth 2
End Sub
