VERSION 5.00
Begin VB.Form paramnum 
   Caption         =   "CHANGE NUMERICAL PARAMETERS"
   ClientHeight    =   5100
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   5700
   LinkTopic       =   "Form1"
   ScaleHeight     =   340
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   380
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Caption         =   "U and V parameters ranges"
      Height          =   1800
      Left            =   300
      TabIndex        =   10
      Top             =   2475
      Width           =   5100
      Begin VB.ComboBox Combo4 
         Height          =   315
         Left            =   3600
         TabIndex        =   17
         Top             =   1080
         Width           =   1215
      End
      Begin VB.ComboBox Combo3 
         Height          =   315
         Left            =   1080
         TabIndex        =   15
         Top             =   1080
         Width           =   1215
      End
      Begin VB.ComboBox Combo2 
         Height          =   315
         Left            =   3600
         TabIndex        =   13
         Top             =   480
         Width           =   1215
      End
      Begin VB.ComboBox Combo1 
         Height          =   315
         Left            =   1080
         TabIndex        =   11
         Top             =   480
         Width           =   1215
      End
      Begin VB.Label Label9 
         Caption         =   "V-maximum"
         Height          =   255
         Left            =   2700
         TabIndex        =   18
         Top             =   1095
         Width           =   855
      End
      Begin VB.Label Label8 
         Caption         =   "V-minimum"
         Height          =   255
         Left            =   240
         TabIndex        =   16
         Top             =   1095
         Width           =   855
      End
      Begin VB.Label Label1 
         Caption         =   "U-maximum"
         Height          =   255
         Left            =   2700
         TabIndex        =   14
         Top             =   495
         Width           =   855
      End
      Begin VB.Label Label7 
         Caption         =   "U-minimum"
         Height          =   255
         Left            =   240
         TabIndex        =   12
         Top             =   495
         Width           =   855
      End
   End
   Begin VB.HScrollBar HScroll3 
      Height          =   300
      LargeChange     =   5
      Left            =   300
      Max             =   100
      Min             =   1
      TabIndex        =   7
      TabStop         =   0   'False
      Top             =   1935
      Value           =   30
      Width           =   4425
   End
   Begin VB.HScrollBar HScroll2 
      Height          =   300
      LargeChange     =   5
      Left            =   300
      Max             =   100
      Min             =   1
      TabIndex        =   4
      TabStop         =   0   'False
      Top             =   1185
      Value           =   30
      Width           =   4425
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Cancelar"
      Height          =   315
      Left            =   4200
      TabIndex        =   2
      Top             =   4560
      Width           =   1200
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Aceptar"
      Height          =   315
      Left            =   2925
      TabIndex        =   1
      Top             =   4560
      Width           =   1200
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   300
      LargeChange     =   5
      Left            =   300
      Max             =   100
      Min             =   1
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   405
      Value           =   20
      Width           =   4425
   End
   Begin VB.Label Label10 
      Caption         =   "Radius of sphere"
      Height          =   300
      Left            =   300
      TabIndex        =   19
      Top             =   150
      Width           =   1380
   End
   Begin VB.Label Label6 
      Caption         =   "Number of V intervals (N)"
      Height          =   300
      Left            =   300
      TabIndex        =   9
      Top             =   1680
      Width           =   1860
   End
   Begin VB.Label Label5 
      BackColor       =   &H80000009&
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Left            =   4800
      TabIndex        =   8
      Top             =   1935
      Width           =   600
   End
   Begin VB.Label Label4 
      Caption         =   "Number of U intervals (M)"
      Height          =   300
      Left            =   300
      TabIndex        =   6
      Top             =   930
      Width           =   1860
   End
   Begin VB.Label Label2 
      BackColor       =   &H80000009&
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Left            =   4800
      TabIndex        =   5
      Top             =   1185
      Width           =   600
   End
   Begin VB.Label Label3 
      BackColor       =   &H80000009&
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Left            =   4800
      TabIndex        =   3
      Top             =   405
      Width           =   600
   End
End
Attribute VB_Name = "paramnum"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    Call FillCombos
    HScroll1.Value = TamEsfe * 100
    Label3.Caption = Str(HScroll1.Value)
    
    HScroll2.Value = m
    Label2.Caption = Str(HScroll2.Value)
    
    HScroll3.Value = n
    Label5.Caption = Str(HScroll3.Value)
    
    Combo1.Text = umin
    Combo2.Text = umax
    Combo3.Text = vmin
    Combo4.Text = vmax
End Sub

Private Sub Command1_Click()
    If (Len(LTrim(Combo1.Text)) = 0 Or Len(LTrim(Combo2.Text)) = 0 Or Len(LTrim(Combo3.Text)) = 0 Or Len(LTrim(Combo4.Text)) = 0) Then
        MsgBox "Errors detected in U / V parameters, original values restored", vbCritical, "ERROR MESSAGE"
        Combo1.Text = umin
        Combo2.Text = umax
        Combo3.Text = vmin
        Combo4.Text = vmax
    Else
        TamEsfe = HScroll1.Value / 100#
        m = HScroll2.Value
        n = HScroll3.Value
        umin = Val(Combo1.Text)
        umax = Val(Combo2.Text)
        vmin = Val(Combo3.Text)
        vmax = Val(Combo4.Text)
        SomeChange = True
        Unload Me
    End If
End Sub

Private Sub Command2_Click()
    Unload Me
End Sub

Private Sub HScroll1_Change()   'change for sphere radius
    Label3.Caption = Str(HScroll1.Value)
End Sub

Private Sub HScroll1_Scroll()
    Label3.Caption = Str(HScroll1.Value)
End Sub

Private Sub HScroll2_Change()   'change for u intervals
    Label2.Caption = Str(HScroll2.Value)
End Sub

Private Sub HScroll2_Scroll()
    Label2.Caption = Str(HScroll2.Value)
End Sub

Private Sub HScroll3_Change()   'change for v intervals
    Label5.Caption = Str(HScroll3.Value)
End Sub

Private Sub HScroll3_Scroll()
    Label5.Caption = Str(HScroll3.Value)
End Sub

Private Sub FillCombos()
    Dim i As Integer
    For i = 1 To 10
        Combo1.AddItem (-i)
        Combo2.AddItem (i)
        Combo3.AddItem (-i)
        Combo4.AddItem (i)
    Next
End Sub
